function blurred_noisy_image = image_add_noise(blurred_image,noise_variance)

x = double(blurred_image); [M,N] = size(x);

noise = randn(M,N); noise = noise/sqrt(mean(noise(:).^2)); 
nsigma = sqrt(noise_variance);
noise = nsigma*noise; blurred_noisy_image = x + noise; 

return;
